CGAL 6.2 - Combinatorial Maps: CellAttribute Concept Reference

CGAL 6.2 - Combinatorial Maps

Loading...
Searching...
No Matches
List of all members
CellAttribute Concept Reference
Reference Manual » Concepts

## Definition

The concept `CellAttribute` represents a non void attribute associated with a cell of a generic map. It can keep a descriptor to one dart of its associated cell, and can contain any information.

Has models
  `CGAL::Cell_attribute<Map,Info_,Tag,OnMerge,OnSplit>`

See also
  `GenericMap`
  `GenericMapItems`

## Types
typedef unspecified_type | Dart_descriptor
| Dart descriptor type.
typedef unspecified_type | Dart_const_descriptor
| Dart const descriptor type.
typedef unspecified_type | Info
| Type of the information contained in the attribute.
typedef unspecified_type | Supports_cell_dart
| Equals to `Tag_true` to enable the storage of a `Dart_descriptor` of the associated cell, `Tag_false` otherwise.
typedef unspecified_type | On_merge
| Functor called before merging two attributes.
typedef unspecified_type | On_split
| Functor called after an attribute was split in two.

## Creation
| CellAttribute ()
| Cell_attribute (const Info &info)
| Constructor initializing the information of this attribute by the copy constructor `Info(info)`.

## Access Member Functions
Dart_descriptor | dart ()
| Returns one dart of the cell associated to this attribute, if `Supports_cell_dart` is equal to `Tag_true`.
Dart_const_descriptor | dart () const
| Returns one dart of the cell associated to this attribute, when it is const, if `Supports_cell_dart` is equal to `Tag_true`.
void | set_dart (Dart_descriptor d)
| Sets the dart of the cell associated to this attribute to `ah`, if `Supports_cell_dart` is equal to `Tag_true`.
Info & | info ()
| Returns the information of this attribute.
const Info & | info () const
| Returns the information of this attribute, when it is const.

## Member Typedef Documentation

## ◆ Info

typedef unspecified_type CellAttribute::Info

Type of the information contained in the attribute.

If `void`, the cell attribute does not have any information.

## ◆ On_merge

typedef unspecified_type CellAttribute::On_merge

Functor called before merging two attributes.

It must be a binary functor taking as argument two references to a model of `CellAttribute`.

## ◆ On_split

typedef unspecified_type CellAttribute::On_split

Functor called after an attribute was split in two.

It must be a binary functor taking as argument two references to a model of `CellAttribute`.

## Member Function Documentation

## ◆ Cell_attribute()

CellAttribute::Cell_attribute | ( | const Info & | info | ) |

Constructor initializing the information of this attribute by the copy constructor `Info(info)`.

Defined only if `Info` is different from `void`.

## ◆ info() [1/2]

Info & CellAttribute::info | ( |  | ) |

Returns the information of this attribute.

Defined only if `Info` is different from `void`.

## ◆ info() [2/2]

const Info & CellAttribute::info | ( |  | ) | const

Returns the information of this attribute, when it is const.

Defined only if `Info` is different from `void`.

## ◆ set_dart()

void CellAttribute::set_dart | ( | Dart_descriptor | d | ) |

Sets the dart of the cell associated to this attribute to `ah`, if `Supports_cell_dart` is equal to `Tag_true`.

Otherwise, this method does nothing.

Precondition
  `d` belongs to the cell associated to this attribute.